Commit f62e81ca authored by Michael Smith's avatar Michael Smith
Browse files

Extend the range supported for quality settings in vorbisenc to the full range...

Extend the range supported for quality settings in vorbisenc to the full range supported by libvorbis.

Original commit message from CVS:
Extend the range supported for quality settings in vorbisenc to the full
range supported by libvorbis.
parent deb5c9f6
2005-09-05 Michael Smith <msmith@fluendo.com>
* ext/vorbis/vorbisenc.c: (gst_vorbisenc_class_init):
libvorbis accepts quality as low as -0.1, not just 0.0. So accept
that in the vorbisenc element.
2005-09-04 Thomas Vander Stichele <thomas at apestaart dot org>
 
* common/gtk-doc-plugins.mak:
......
......@@ -230,7 +230,7 @@ gst_vorbisenc_class_init (GstVorbisEncClass * klass)
g_object_class_install_property (G_OBJECT_CLASS (klass), ARG_QUALITY,
g_param_spec_float ("quality", "Quality",
"Specify quality instead of specifying a particular bitrate.",
0.0, 1.0, QUALITY_DEFAULT, G_PARAM_READWRITE));
-0.1, 1.0, QUALITY_DEFAULT, G_PARAM_READWRITE));
g_object_class_install_property (G_OBJECT_CLASS (klass), ARG_MANAGED,
g_param_spec_boolean ("managed", "Managed",
"Enable bitrate management engine", FALSE, G_PARAM_READWRITE));
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment